Package org.codehaus.groovy.runtime.callsite

# Class PogoMetaClassGetPropertySite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.PogoMetaClassGetPropertySite

All Implemented Interfaces:
  `CallSite`

public class PogoMetaClassGetPropertySite extends AbstractCallSite

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PogoMetaClassGetPropertySite(CallSite parent, MetaClass metaClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final CallSite`
  `acceptGetProperty(Object receiver)`
  `final CallSite`
  `acceptGroovyObjectGetProperty(Object receiver)`
  `final Object`
  `getProperty(Object receiver)`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PogoMetaClassGetPropertySite

    public PogoMetaClassGetPropertySite(CallSite parent, MetaClass metaClass)

- ## Method Details

  - ### acceptGetProperty

    public final CallSite acceptGetProperty(Object receiver)
    Overrides:
      `acceptGetProperty` in class `AbstractCallSite`

  - ### acceptGroovyObjectGetProperty

    public final CallSite acceptGroovyObjectGetProperty(Object receiver)
    Overrides:
      `acceptGroovyObjectGetProperty` in class `AbstractCallSite`

  - ### getProperty

    public final Object getProperty(Object receiver) throws Throwable
    Specified by:
      `getProperty` in interface `CallSite`
    Overrides:
      `getProperty` in class `AbstractCallSite`
    Throws:
      `Throwable`